Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.resources
Class ResourceSpecException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--edu.utah.janosvm.resources.ResourceSpecException

Direct Known Subclasses:
  DuplicateResourceSpecException

public class ResourceSpecException
extends java.lang.Exception

Exception indicating that the system couldn't satisfy a resource specification.

Author:
  Tim Stack, Utah Janos Team
See Also:
  Serialized Form

Constructor Summary
`ResourceSpecException()` Construct an empty ResourceSpecException.
`ResourceSpecException(ResourceSpec unsatisfiedSpec)` Construct a ResourceSpecException with an unsatisfied ResourceSpec.
`ResourceSpecException(java.lang.String msg)` Construct a ResourceSpecException with a message.

Method Summary
`ResourceSpec` | `getUnsatisfiedSpec()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`clone, fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, stringStackTrace`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceSpecException

    public ResourceSpecException()

  Construct an empty ResourceSpecException.

### ResourceSpecException

    public ResourceSpecException(java.lang.String msg)

  Construct a ResourceSpecException with a message.
  Parameters:
    `msg` - A description of the problem.

### ResourceSpecException

    public ResourceSpecException(ResourceSpec unsatisfiedSpec)

  Construct a ResourceSpecException with an unsatisfied ResourceSpec.
  Parameters:
    `unsatisfiedSpec` - The ResourceSpec that couldn't be satisfied by the system.

Method Detail

### getUnsatisfiedSpec

    public ResourceSpec getUnsatisfiedSpec()

  Returns:
    The ResourceSpec that couldn't be satisfied by the system, or null if the resource was the default or internal.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002